You are here

Script fu

I'm new to the GIMP and having problems running script fu.

each time I go to Filters/Script fu and try and access any of the scripts I receive the following messages:

Start Server Warning
Error while loading C:\Program Files\GIMP-2.0\share\gimp\2.0\scripts\web-browser.scm:

Error: eval: unbound variable:

or

Refresh Scripts Warning
Error while loading C:\Program Files\GIMP-2.0\share\gimp\2.0\scripts\x1.scm:

Error: eval: unbound variable:

Can anyone offer any help to solve this so I can access and use this feature?

Many thanks

K

Forums: 

Many scripts written during the GIMP 2.4 version now have to have variables defined due to the newer GIMP 2.6 engine changes.

I'm not familiar with the two scripts you list in your post and couldn't get a hit on them using the Search engine. If there is an author email listed within the script text, you might want to contact them first, to see if they have updated it.

mahvin,

Thank you for your reply, but I am getting the same error message for all the scripts, which downloaded with GIMP 2.6. As I’m not able to view or use any of them in GIMP 2.6 should I delete them from C:\Program Files\GIMP-2.0\share\gimp\2.0\scripts and only use scripts that are current?

Many thanks

K

Sounds like a bad install, but could be something else (beyond my expertise to diagnose). Perhaps someone else more knowledgeable on these types of errors will chime in. But to help out, please post your operating system information and the full GIMP version to help speed things up.

Sorry I couldn't be more helpful.

Subscribe to Comments for "Script fu"